@echo off
echo Copying x64dbg SDK to local workspace...

set X64DBG_DIR=C:\Users\user\Downloads\snapshot_2024-07-28_17-00
set TARGET_DIR=%~dp0pluginsdk

rem Create target directory if it doesn't exist
if not exist "%TARGET_DIR%" mkdir "%TARGET_DIR%"

rem Copy the pluginsdk files
xcopy /E /I /Y "%X64DBG_DIR%\pluginsdk\*" "%TARGET_DIR%\"

echo SDK copy completed!
echo.
echo Now updating include paths in source files...

rem Update include paths in source files if needed
for %%F in (stack_detector_plugin\*.h stack_detector_plugin\*.cpp) do (
    powershell -Command "(Get-Content '%%F') -replace 'C:/Users/user/Downloads/snapshot_2024-07-28_17-00/pluginsdk/', '../pluginsdk/' | Set-Content '%%F'"
)

echo Done! You can now build the project with local SDK copy.
